www.cendio.com
Bug 4836 - shouldn't be able to minimise windows during session startup
: shouldn't be able to minimise windows during session startup
Status: CLOSED FIXED
: ThinLinc
Misc
: trunk
: PC Unknown
: P2 Normal
: 4.2.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2013-10-10 11:24 by
Modified: 2014-04-01 16:00 (History)
Acceptance Criteria:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2013-10-10 11:24:32
Comment 2 on bug 4513 is relevant once more. Tested on Fedora 19.
------- Comment #1 From cendio 2013-10-10 11:26:52 -------
To clarify, the button on the caption bar is gone, but you can still "iconify"
from the context menu.
------- Comment #2 From cendio 2013-12-16 15:53:36 -------
Fixed in 28211.
------- Comment #3 From cendio 2014-03-20 18:16:34 -------
Alt-Space brings up a Window menu which lets you do all sorts of window
management things, such as iconify.
------- Comment #4 From cendio 2014-03-24 13:58:36 -------
(In reply to comment #3)
> Alt-Space brings up a Window menu which lets you do all sorts of window
> management things, such as iconify.

Fixed in r28702. Only providing a very basic set of keyboard and mouse bindings
now:

grep -i "action.*name" data/rc.xml | tr -d ' ' | sort | uniq
<actionname="Close"/>
<actionname="Focus"/>
<actionname="Move"/>
<actionname="NextWindow">
<actionname="PreviousWindow">
<actionname="Raise"/>
<actionname="Resize">
<actionname="Resize"/>
<actionname="ToggleMaximize">
<actionname="ToggleMaximize"/>
------- Comment #5 From cendio 2014-03-26 09:16:05 -------
Build 4302: I can't find any way to minimize the windows.